SUPYBOT-PLUGIN-CREATE(1)

NAME
supybot-plugin-create - A wizard for creating Supybot plugins

SYNOPSIS
supybot-plugin-create [options]

DESCRIPTION
supybot-plugin-create is a wizard that creates a template python source file for a new supybot(1) plugin.

OPTIONS

--version
    Show version of program.

-h, --help
    Show summary of options.

-n NAME, --name=NAME
    Sets the name for the plugin.

-t, --thread
    Makes the plugin threaded.

--real-name=REALNAME
    Specify what real name the copyright is assigned to.

SEE ALSO
python(1), supybot(1), supybot-test(1), supybot-botchk(1), supybot-wizard(1), supybot-adduser(1), supybot-plugin-doc(1)

AUTHOR
This manual page was originally written by James Vega <jamessan at supybot dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Supybot license, a BSD-style license.